DNF5-HISTORY(8)

NUME
dnf5-history - comanda «history»

SINOPSIS

dnf5 history <subcomanda> [opțiuni] [<specificație-tranzacție>]

DESCRIERE

Comanda history din DNF5 permite utilizatorului să vadă ce s-a întâmplat în tranzacțiile anterioare și oferă mai multe operații asupra acestor tranzacții, cum ar fi anularea și refacerea lor. Pentru a utiliza tranzacțiile în aceste comenzi, se presupune că acestea au fost confirmate în timpul utilizării opțiunii de configurare history_record.

Pentru mai multe informații despre <transaction-spec>, consultați dnf5-specs(7), Specificații de modele.

SUBCOMENZI

list - listă
    Listează informații despre tranzacțiile înregistrate în sistem.
    Dacă argumentult <specificație-tranzacție> nu este specificat,
    se utilizează toate tranzacțiile.

info
    Afișează detalii despre anumite tranzacții.
    Dacă argumentul <specificație-tranzacție> nu este specificat,
    se utilizează ultima tranzacție.

undo
    Anulează toate acțiunile din tranzacția specificată.
    Exact o tranzacție trebuie să fie specificată prin <specificație-tranzacție>.

redo
    Repetă tranzacția specificată.
    Utilizează automat --ignore-extras și --ignore-installed.
    Spre deosebire de restul comenzilor de istoric, aceasta anulează motivele pentru pachetele de tranzacții care sunt deja instalate.
    Această comandă este utilă pentru a termina tranzacțiile întrerupte.
    Exact o tranzacție trebuie să fie specificată prin <specificație-tranzacție>.

rollback
    Anulează toate tranzacțiile efectuate după tranzacția specificată.
    Exact o tranzacție trebuie să fie specificată prin <specificație-tranzacție>.

store
    Stochează tranzacția într-un director.
    Dacă argumentul <specificație-tranzacție> nu este specificat,
    se utilizează ultima tranzacție.

OPȚIUNI PENTRU LISTĂ ȘI INFORMAȚII

--reverse
    Inversează ordinea tranzacțiilor din rezultat.

--contains-pkgs=NUME_PACHET,...
    Afișează numai tranzacțiile care conțin pachete cu numele specificate.
    Aceasta este o opțiune de listă. Sunt acceptate modelele cu caractere joker.

OPȚIUNI PENTRU ANULARE, RESTAURARE ȘI REFACERE

--skip-unavailable
    Permite omiterea acțiunilor pachetelor care nu pot fi efectuate.

OPȚIUNI PENTRU ANULARE ȘI RESTAURARE

--ignore-extras
    Nu consideră pachetele suplimentare introduse în tranzacție drept erori.
    Acestea vor fi în continuare raportate ca avertismente.

--ignore-installed
    Nu consideră drept erori neconcordanțele dintre pachetele de tranzacții instalate și stocate.
    Acestea vor fi în continuare raportate ca avertismente.
    Utilizarea acestei opțiuni poate duce la o tranzacție goală.
    Pentru acțiunile de instalare, omite pachetele deja instalate.
    Pentru acțiunile de actualizare, omite grupurile sau mediile care nu sunt instalate.
    Pentru acțiunile de eliminare, omite pachetele/grupurile/ mediile care nu sunt instalate.

EXEMPLE

dnf5 history list
    Listează toate tranzacțiile, cea mai recentă tranzacție fiind afișată prima.

dnf5 history info 4
    Afișează informații detaliate despre a patra tranzacție.

dnf5 history info last
    Afișează informații detaliate despre ultima tranzacție.

dnf5 history info last-1
    Afișează informații detaliate despre penultima tranzacție.

dnf5 history list 4..8
    Listează tranzacțiile cu id-ul cuprins între 4 și 8.

dnf5 history undo last
    Anulează ultima tranzacție.

dnf5 history undo 4 --ignore-extras
    Anulează a patra tranzacție ignorând pachetele suplimentare introduse în tranzacția de anulare.

CONSULTAȚI ȘI
dnf5-specs(7), Specificația modelelor

AUTOR
A se vedea AUTHORS.md în distribuția sursei dnf5.

DREPTURI DE AUTOR
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.